com.atid.lib.module.barcode.ssi.type

## Enum UpcCompositeMode

- java.lang.Object
- - java.lang.Enum<UpcCompositeMode>
  - - com.atid.lib.module.barcode.ssi.type.UpcCompositeMode

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<UpcCompositeMode>

      public enum UpcCompositeMode
      extends java.lang.Enum<UpcCompositeMode>
      implements IEnumType

  If you enable Composite CC-A/B , select an option for linking UPC symbols with a 2D symbol during transmission as if they were one symbol

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AutodiscriminateUpcComposites` the decoder determines if there is a 2D portion, then transmits the UPC, as well as the 2D portion if present.
    `UPCAlwaysLinked` transmit UPC bar codes and the 2D portion.
    `UPCNeverLinked` transmit UPC bar codes regardless of whether a 2D symbol is detected.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static UpcCompositeMode` | `valueOf(int code)`
    `static UpcCompositeMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static UpcCompositeMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UPCNeverLinked

          public static final UpcCompositeMode UPCNeverLinked

      transmit UPC bar codes regardless of whether a 2D symbol is detected.

    - #### UPCAlwaysLinked

          public static final UpcCompositeMode UPCAlwaysLinked

      transmit UPC bar codes and the 2D portion. If 2D is not present, the UPC bar code does not transmit.

    - #### AutodiscriminateUpcComposites

          public static final UpcCompositeMode AutodiscriminateUpcComposites

      the decoder determines if there is a 2D portion, then transmits the UPC, as well as the 2D portion if present.

  - ### Method Detail

    - #### values

          public static UpcCompositeMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UpcCompositeMode c : UpcCompositeMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UpcCompositeMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<UpcCompositeMode>`

    - #### valueOf

          public static UpcCompositeMode valueOf(int code)